package com.usky.fire.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 火灾报警系统报警信息表
 * </p>
 *
 * @author JCB
 * @since 2022-07-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class AlarmFire implements Serializable {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 告警类型（2 火警、4 故障、16 监管等）
     */
    private Integer alarmType;

    /**
     * 告警时间
     */
    private LocalDateTime alarmTime;

    /**
     * 上报地址
     */
    private String address;

    /**
     * 告警状态
     */
    private String alarmStatus;

    /**
     * 原始告警类型
     */
    private String originalType;

    /**
     * 告警名称
     */
    private String alarmName;

    /**
     * 原始点位地址
     */
    private String originalPoint;

    /**
     * 点位类型（0 通用设备、1 火灾报警控制器、10 可燃气体探测器、11 点型可燃气体探测器等）
     */
    private Integer pointType;

    /**
     * 点位描述
     */
    private String pointDescribe;

    /**
     * 端口号
     */
    private Integer portNum;

    /**
     * 主机号
     */
    private Integer hostNum;

    /**
     * 回路号
     */
    private Integer loopNum;

    /**
     * 点位号
     */
    private Integer ptNum;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理人电话
     */
    private String handlerPhone;

    /**
     * 处理状态（0、未处理 1、已处理）
     */
    private Integer handlingStatus;

    /**
     * 是否误报（0、非误报 1、误报）
     */
    private Integer falseAlarm;

    /**
     * 现场照片
     */
    private String sitePhoto;


}
