package com.usky.fire.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.fire.domain.AlarmFire;
import com.usky.fire.service.vo.AlarmFireStatisticalVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 火灾报警系统报警信息表 Mapper 接口
 * </p>
 *
 * @author JCB
 * @since 2022-07-29
 */
@Repository
public interface AlarmFireMapper extends CrudMapper<AlarmFire> {

    List<AlarmFireStatisticalVo> selectAlarmFireStatistical(@Param("deviceList") List<String> deviceList,
                                                            @Param("alarmTypeList") List<Integer> alarmTypeList,
                                                            @Param("startDate") String startDate,
                                                            @Param("endDate") String endDate);
}
