package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.fire.domain.AlarmFire;
import com.usky.fire.service.vo.AlarmFireVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 火灾报警系统报警信息表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-07-29
 */
public interface AlarmFireService extends CrudService<AlarmFire> {

    CommonPage<AlarmFireVo> alarmFireLowerList(Integer handlingStatus, String startDate, String endDate,
                                               Integer pageNum, Integer pageSize,String alarmType);

    Map<String, Object> fireStatistics(String alarmType);

    Map<String, Object> fireStatisticalChart(String alarmType, String startDate, String endDate);

    void updateAlarmFire(AlarmFire alarmFire);

    List<AlarmFireVo> alarmFireLowerListExport(Integer handlingStatus, String startDate, String endDate, String alarmType);

    Integer fireCount(List<String> deviceCodeList, Integer handlingStatus,List<Integer> alarmTypeList);

    CommonPage<AlarmFire> alarmFireList(List<String> deviceCodeList, Integer handlingStatus, String startDate,
                                        String endDate, Integer pageNum, Integer pageSize,List<Integer> alarmTypeList);
}
